/* Initialization */
#include "RoomHeating_OM_RH_model.h"
#include "RoomHeating_OM_RH_11mix.h"
#include "RoomHeating_OM_RH_12jac.h"
#if defined(__cplusplus)
extern "C" {
#endif

void RoomHeating_OM_RH_functionInitialEquations_0(DATA *data, threadData_t *threadData);

/*
equation index: 1
type: SIMPLE_ASSIGN
room.energy = $START.room.energy
*/
void RoomHeating_OM_RH_eqFunction_1(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,1};
  (data->localData[0]->realVars[1] /* room.energy STATE(1,room.Qin) */) = (data->modelData->realVarsData[1] /* room.energy STATE(1,room.Qin) */).attribute .start;
  TRACE_POP
}
extern void RoomHeating_OM_RH_eqFunction_22(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_27(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_29(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_31(DATA *data, threadData_t *threadData);


/*
equation index: 6
type: SIMPLE_ASSIGN
wall.Tosurf = $START.wall.Tosurf
*/
void RoomHeating_OM_RH_eqFunction_6(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,6};
  (data->localData[0]->realVars[3] /* wall.Tosurf STATE(1) */) = (data->modelData->realVarsData[3] /* wall.Tosurf STATE(1) */).attribute .start;
  TRACE_POP
}

/*
equation index: 7
type: SIMPLE_ASSIGN
wall.Tisurf = $START.wall.Tisurf
*/
void RoomHeating_OM_RH_eqFunction_7(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,7};
  (data->localData[0]->realVars[2] /* wall.Tisurf STATE(1) */) = (data->modelData->realVarsData[2] /* wall.Tisurf STATE(1) */).attribute .start;
  TRACE_POP
}

/*
equation index: 8
type: SIMPLE_ASSIGN
room.RAT = $START.room.RAT
*/
void RoomHeating_OM_RH_eqFunction_8(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,8};
  (data->localData[0]->realVars[0] /* room.RAT STATE(1) */) = (data->modelData->realVarsData[0] /* room.RAT STATE(1) */).attribute .start;
  TRACE_POP
}
extern void RoomHeating_OM_RH_eqFunction_34(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_23(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_30(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_26(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_28(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_21(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_24(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_25(DATA *data, threadData_t *threadData);


/*
equation index: 17
type: SIMPLE_ASSIGN
wall.R = wall.lWall / (wall.aWall * wall.lambda_Wall)
*/
void RoomHeating_OM_RH_eqFunction_17(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,17};
  (data->localData[0]->realVars[22] /* wall.R variable */) = DIVISION_SIM((data->simulationInfo->realParameter[17] /* wall.lWall PARAM */),((data->simulationInfo->realParameter[13] /* wall.aWall PARAM */)) * ((data->simulationInfo->realParameter[19] /* wall.lambda_Wall PARAM */)),"wall.aWall * wall.lambda_Wall",equationIndexes);
  TRACE_POP
}

/*
equation index: 18
type: SIMPLE_ASSIGN
wall.C = 0.5 * wall.rhoWall * wall.cWall * wall.lWall * wall.aWall
*/
void RoomHeating_OM_RH_eqFunction_18(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,18};
  (data->localData[0]->realVars[21] /* wall.C variable */) = (0.5) * (((data->simulationInfo->realParameter[20] /* wall.rhoWall PARAM */)) * (((data->simulationInfo->realParameter[14] /* wall.cWall PARAM */)) * (((data->simulationInfo->realParameter[17] /* wall.lWall PARAM */)) * ((data->simulationInfo->realParameter[13] /* wall.aWall PARAM */)))));
  TRACE_POP
}
extern void RoomHeating_OM_RH_eqFunction_33(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_32(DATA *data, threadData_t *threadData);

OMC_DISABLE_OPT
void RoomHeating_OM_RH_functionInitialEquations_0(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  RoomHeating_OM_RH_eqFunction_1(data, threadData);
  RoomHeating_OM_RH_eqFunction_22(data, threadData);
  RoomHeating_OM_RH_eqFunction_27(data, threadData);
  RoomHeating_OM_RH_eqFunction_29(data, threadData);
  RoomHeating_OM_RH_eqFunction_31(data, threadData);
  RoomHeating_OM_RH_eqFunction_6(data, threadData);
  RoomHeating_OM_RH_eqFunction_7(data, threadData);
  RoomHeating_OM_RH_eqFunction_8(data, threadData);
  RoomHeating_OM_RH_eqFunction_34(data, threadData);
  RoomHeating_OM_RH_eqFunction_23(data, threadData);
  RoomHeating_OM_RH_eqFunction_30(data, threadData);
  RoomHeating_OM_RH_eqFunction_26(data, threadData);
  RoomHeating_OM_RH_eqFunction_28(data, threadData);
  RoomHeating_OM_RH_eqFunction_21(data, threadData);
  RoomHeating_OM_RH_eqFunction_24(data, threadData);
  RoomHeating_OM_RH_eqFunction_25(data, threadData);
  RoomHeating_OM_RH_eqFunction_17(data, threadData);
  RoomHeating_OM_RH_eqFunction_18(data, threadData);
  RoomHeating_OM_RH_eqFunction_33(data, threadData);
  RoomHeating_OM_RH_eqFunction_32(data, threadData);
  TRACE_POP
}

int RoomHeating_OM_RH_functionInitialEquations(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  data->simulationInfo->discreteCall = 1;
  RoomHeating_OM_RH_functionInitialEquations_0(data, threadData);
  data->simulationInfo->discreteCall = 0;
  
  TRACE_POP
  return 0;
}

/* No RoomHeating_OM_RH_functionInitialEquations_lambda0 function */

int RoomHeating_OM_RH_functionRemovedInitialEquations(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int *equationIndexes = NULL;
  double res = 0.0;

  
  TRACE_POP
  return 0;
}


#if defined(__cplusplus)
}
#endif

