/* update bound parameters and variable attributes (start, nominal, min, max) */
#include "RoomHeating_OM_RH_model.h"
#if defined(__cplusplus)
extern "C" {
#endif


/*
equation index: 37
type: SIMPLE_ASSIGN
$START.room.RAT = room.RATinit
*/
static void RoomHeating_OM_RH_eqFunction_37(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,37};
  (data->modelData->realVarsData[0] /* room.RAT STATE(1) */).attribute .start = (data->simulationInfo->realParameter[2] /* room.RATinit PARAM */);
    (data->localData[0]->realVars[0] /* room.RAT STATE(1) */) = (data->modelData->realVarsData[0] /* room.RAT STATE(1) */).attribute .start;
    infoStreamPrint(LOG_INIT_V, 0, "updated start value: %s(start=%g)", data->modelData->realVarsData[0].info /* room.RAT */.name, (modelica_real) (data->localData[0]->realVars[0] /* room.RAT STATE(1) */));
  TRACE_POP
}

/*
equation index: 38
type: SIMPLE_ASSIGN
$START.wall.Tisurf = wall.TisurfInit
*/
static void RoomHeating_OM_RH_eqFunction_38(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,38};
  (data->modelData->realVarsData[2] /* wall.Tisurf STATE(1) */).attribute .start = (data->simulationInfo->realParameter[11] /* wall.TisurfInit PARAM */);
    (data->localData[0]->realVars[2] /* wall.Tisurf STATE(1) */) = (data->modelData->realVarsData[2] /* wall.Tisurf STATE(1) */).attribute .start;
    infoStreamPrint(LOG_INIT_V, 0, "updated start value: %s(start=%g)", data->modelData->realVarsData[2].info /* wall.Tisurf */.name, (modelica_real) (data->localData[0]->realVars[2] /* wall.Tisurf STATE(1) */));
  TRACE_POP
}

/*
equation index: 39
type: SIMPLE_ASSIGN
$START.wall.Tosurf = wall.TosurfInit
*/
static void RoomHeating_OM_RH_eqFunction_39(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,39};
  (data->modelData->realVarsData[3] /* wall.Tosurf STATE(1) */).attribute .start = (data->simulationInfo->realParameter[12] /* wall.TosurfInit PARAM */);
    (data->localData[0]->realVars[3] /* wall.Tosurf STATE(1) */) = (data->modelData->realVarsData[3] /* wall.Tosurf STATE(1) */).attribute .start;
    infoStreamPrint(LOG_INIT_V, 0, "updated start value: %s(start=%g)", data->modelData->realVarsData[3].info /* wall.Tosurf */.name, (modelica_real) (data->localData[0]->realVars[3] /* wall.Tosurf STATE(1) */));
  TRACE_POP
}
OMC_DISABLE_OPT
int RoomHeating_OM_RH_updateBoundVariableAttributes(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  /* min ******************************************************** */
  infoStreamPrint(LOG_INIT, 1, "updating min-values");
  if (ACTIVE_STREAM(LOG_INIT)) messageClose(LOG_INIT);
  
  /* max ******************************************************** */
  infoStreamPrint(LOG_INIT, 1, "updating max-values");
  if (ACTIVE_STREAM(LOG_INIT)) messageClose(LOG_INIT);
  
  /* nominal **************************************************** */
  infoStreamPrint(LOG_INIT, 1, "updating nominal-values");
  if (ACTIVE_STREAM(LOG_INIT)) messageClose(LOG_INIT);
  
  /* start ****************************************************** */
  infoStreamPrint(LOG_INIT, 1, "updating primary start-values");
  RoomHeating_OM_RH_eqFunction_37(data, threadData);

  RoomHeating_OM_RH_eqFunction_38(data, threadData);

  RoomHeating_OM_RH_eqFunction_39(data, threadData);
  if (ACTIVE_STREAM(LOG_INIT)) messageClose(LOG_INIT);
  
  TRACE_POP
  return 0;
}

void RoomHeating_OM_RH_updateBoundParameters_0(DATA *data, threadData_t *threadData);

/*
equation index: 40
type: SIMPLE_ASSIGN
wall.lambdaOut = wall.lambda_Wall
*/
OMC_DISABLE_OPT
static void RoomHeating_OM_RH_eqFunction_40(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,40};
  (data->simulationInfo->realParameter[18] /* wall.lambdaOut PARAM */) = (data->simulationInfo->realParameter[19] /* wall.lambda_Wall PARAM */);
  TRACE_POP
}
extern void RoomHeating_OM_RH_eqFunction_18(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_17(DATA *data, threadData_t *threadData);

OMC_DISABLE_OPT
void RoomHeating_OM_RH_updateBoundParameters_0(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  RoomHeating_OM_RH_eqFunction_40(data, threadData);
  RoomHeating_OM_RH_eqFunction_18(data, threadData);
  RoomHeating_OM_RH_eqFunction_17(data, threadData);
  TRACE_POP
}
OMC_DISABLE_OPT
int RoomHeating_OM_RH_updateBoundParameters(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  RoomHeating_OM_RH_updateBoundParameters_0(data, threadData);
  TRACE_POP
  return 0;
}

#if defined(__cplusplus)
}
#endif

